fglrx-updates 2:8.872-0ubuntu2: fglrx-updates kernel module failed to build (Error! Application of patch replace-global-lock-with-a-driver-specific-mutex.patch failed.)

Bug #827652 reported by userdce on 2011-08-16
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
Undecided
Daniel van Vugt

Bug Description

TEST CASE:

In a fresh oneiric alpha3 VM:
sudo apt-get install fglrx-updates

In the output you will see the error:
Error! Application of patch replace-global-lock-with-a-driver-specific-mutex.patch failed.

WORKAROUND:

Remove package fglrx-updates and install package fglrx instead.

ORIGINAL DESCRIPTION:

fglrx-installer-updates

ProblemType: Package
DistroRelease: Ubuntu 11.10
Package: fglrx-updates 2:8.872-0ubuntu2
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
Architecture: amd64
DKMSKernelVersion: 3.0.0-8-generic
Date: Tue Aug 16 15:33:49 2011
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110716)
PackageVersion: 2:8.872-0ubuntu2
SourcePackage: fglrx-installer-updates
Title: fglrx-updates 2:8.872-0ubuntu2: fglrx-updates kernel module failed to build
UpgradeStatus: Upgraded to oneiric on 2011-08-15 (1 days ago)

Related branches

userdce (userdce) wrote :
Daniel van Vugt (vanvugt) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Unfortunately this bug is missing the log file that tells us why the error occurred. Please run the following command in a Terminal to find the log file for fglrx-updates:

    find /var/lib/dkms -name make.log

And then attach the file to this bug report. When done, please set the bug Status back to New. Thanks in advance...

Changed in fglrx-installer-updates (Ubuntu):
status: New → Incomplete
userdce (userdce) wrote :

I tried to run this command but it does not show anything

Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → New
Daniel van Vugt (vanvugt) wrote :

The file name could be different. Please try:

    find /var/lib/dkms -name \*.log

and also report what this command shows:

    sudo dpkg-reconfigure fglrx-installer-updates

Changed in fglrx-installer-updates (Ubuntu):
status: New → Incomplete
userdce (userdce) wrote :

First command does not show anything and here is the output for second command:

--
Package `fglrx-installer-updates' is not installed and no info is available.
Use dpkg --info (= dpkg-deb --info) to examine archive files,
and dpkg --contents (= dpkg-deb --contents) to list their contents.
/usr/sbin/dpkg-reconfigure: fglrx-installer-updates is not installed

Daniel van Vugt (vanvugt) wrote :

Sorry. Make sure the package fglrx-updates is installed and then run:

    sudo dpkg-reconfigure fglrx-updates

userdce (userdce) wrote :

package is installed as it shows:

$ sudo apt-get install fglrx-updates
Reading package lists... Done
Building dependency tree
Reading state information... Done
fglrx-updates is already the newest version.
The following packages were automatically installed and are no longer required:
  libcamel-1.2-23 libebook1.2-10
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

$ sudo dpkg-reconfigure fglrx-updates
Removing all DKMS Modules
Done.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/fglrx/ld.so.conf because link group x86_64-linux-gnu_gl_conf is broken.
update-initramfs: Generating /boot/initrd.img-3.0.0-8-generic
Loading new fglrx-updates-8.872 DKMS files...
Building only for 3.0.0-8-generic
Building for architecture x86_64
Building initial module for 3.0.0-8-generic
Error! Application of patch replace-global-lock-with-a-driver-specific-mutex.patch failed.
Check /var/lib/dkms/fglrx-updates/8.872/build/ for more information.
update-initramfs: Generating /boot/initrd.img-3.0.0-8-generic

after this command it caused this bug:
https://bugs.launchpad.net/ubuntu/+source/fglrx-installer-updates/+bug/828978

summary: fglrx-updates 2:8.872-0ubuntu2: fglrx-updates kernel module failed to
- build
+ build (Error! Application of patch replace-global-lock-with-a-driver-
+ specific-mutex.patch failed.)
Changed in fglrx-installer-updates (Ubuntu):
status: Incomplete → New
Changed in fglrx-installer-updates (Ubuntu):
status: New → Confirmed
description: updated
description: updated
Daniel van Vugt (vanvugt) wrote :

This bug appears to be caused by the fix for bug 776895, which is apparently no longer required due to upstream changes.

Daniel van Vugt (vanvugt) wrote :

FYI, the fglrx package of the same version does not have this bug because it was fixed already here:
http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/oneiric/fglrx-installer/oneiric/revision/75

description: updated
Changed in fglrx-installer-updates (Ubuntu):
assignee: nobody → Daniel van Vugt (vanvugt)
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fglrx-installer-updates - 2:8.881-0ubuntu2

---------------
fglrx-installer-updates (2:8.881-0ubuntu2) oneiric; urgency=low

  * debian/dkms.conf.in:
    - Disable replace-global-lock-with-a-driver-specific-mutex.patch
      now that the problem is fixed in the upstream driver
      (LP: #827652). Thanks to Daniel van Vugt for suggesting the
      fix.
 -- Alberto Milone <email address hidden> Fri, 02 Sep 2011 17:03:49 +0200

Changed in fglrx-installer-updates (Ubuntu):
status: In Progress → Fix Released
tags: added: testcase
Matthew Meyer (osarusan) wrote :

I get this same error in both fglrx and fglrx-updates...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers